% calc_velocity_shift_impact

clear
close all
clc

bQ = ncread('../out/int/discharge/nc/AIS_discharge_FrankenBed_allVar.nc','discharge_mean');
bQns = ncread('../out/int/discharge/nc/AIS_discharge_FrankenBed_allVar.nc','discharge_mean_ns');

% AIS
idx = 1;
disp(['This shift affects our Antarctic discharge estimate by ' num2str(nanmean(bQ(idx,:),2) - nanmean(bQns(idx,:),2)) ' Gt/yr on average']);

% WAIS
idx = 2;
disp(['This shift affects our West Antarctic discharge estimate by ' num2str(nanmean(bQ(idx,:),2) - nanmean(bQns(idx,:),2)) ' Gt/yr on average']);

% EAIS
idx = 3;
disp(['This shift affects our East Antarctic discharge estimate by ' num2str(nanmean(bQ(idx,:),2) - nanmean(bQns(idx,:),2)) ' Gt/yr on average']);

% APN
idx = 4;
disp(['This shift affects our Peninsula discharge estimate by ' num2str(nanmean(bQ(idx,:),2) - nanmean(bQns(idx,:),2)) ' Gt/yr on average']);

